/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
//$Id: Customer.java,v 1.4.2.5 2005/09/27 01:49:21 starksm Exp $
package org.jboss.ejb3.test.tableperinheritance;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

/**
 * @author Gavin King
 */
@Entity
//@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public class Customer extends Person
{
   private Employee salesperson;
   private String comments;

   @OneToOne
   @JoinColumn(name = "salesperson")
   public Employee getSalesperson()
   {
      return salesperson;
   }

   public void setSalesperson(Employee salesperson)
   {
      this.salesperson = salesperson;
   }

   public String getComments()
   {
      return comments;
   }

   public void setComments(String comments)
   {
      this.comments = comments;
   }
}
